<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Homework</title>
</head>
<body>
      <!--
        Создайте счетчик секунд, который начинает отчет с 1 и заканчивается на 30,
        также добавьте кнопки который останавливают отчет, и запускают его заново и добавьте кнопку обнуляющую отчет.
        Также попробуйте изменить код так чтобы отчет начиналься с 30 и заканчивалься на 1.

       + бонус: Сделать так что бы на каждый тик (1с/2c) менялся цвет фона. Можно на основе генератора случайного цвета с предудущих уроков.
       + бонус: Сделать визуализацию стрелки которая идет по кругу
            document.getElementById("myDIV").style.transform = "rotate(7deg)";

       + бонус: Сделать кнопки которые выбирают режим в котором идет отсчет - обычный от 0 до 30 или реверсивный от 30 до 0
      -->

      <p id="counter">0</p>
      <div id="arrowDiv"></div>

    <button id="forvardButton" onclick="Start(event)" data-type="forward">Вперед</button>
    <button id="revButton" onclick="Start(event)" data-type="reverse">Назад</button>
    <button id="stopButton" onclick="Start(event)" data-type="stop">Стоп</button>
    <button id="clearButton" onclick="Start(event)" data-type="clear">Clear</button>


      <script>

      var bodyEl = document.getElementsByTagName('body');
      var arrowDiv = document.getElementById('arrowDiv');
      var arrow = document.createElement('img');
      var fButton = document.getElementById('forvardButton');
      var rButton = document.getElementById('revButton');
      var sButton = document.getElementById('stopButton');
      var cButton = document.getElementById('clearButton');
      rButton.setAttribute('disabled', 'disabled');
      sButton.setAttribute('disabled', 'disabled');
      cButton.setAttribute('disabled', 'disabled');
      arrow.setAttribute('src', 'arrow-up.png');
      arrowDiv.appendChild(arrow);

      function getRandomIntInclusive(min, max) {
        min = Math.ceil(min);
        max = Math.floor(max);
        return Math.floor(Math.random() * (max - min + 1)) + min;
      }

      function getRandomColorFirst(r, g, b) {
        return 'rgb(' + r + ',' + g + ',' + b + ')';
      }
      var forwardInterval;
      var prevInterval;
      var count = 0;
      var deg = 0;
      function Start( event ) {
        // debugger;
        var IntervalType = event.target.dataset.type;

        if( IntervalType === 'forward'){
          clearInterval(prevInterval);
          myFunction();
          fButton.setAttribute('disabled', 'disabled');
          rButton.removeAttribute('disabled');
          sButton.removeAttribute('disabled');
          cButton.setAttribute('disabled', 'disabled');
        }
        else if (IntervalType === 'reverse') {
          clearInterval(forwardInterval);
          rButton.setAttribute('disabled', 'disabled');
          fButton.removeAttribute('disabled');
          cButton.setAttribute('disabled', 'disabled');
          myFunctionRev();
        }
        else if (IntervalType === 'stop') {
          clearInterval(prevInterval);
          clearInterval(forwardInterval);
          fButton.removeAttribute('disabled');
          rButton.removeAttribute('disabled');
          cButton.removeAttribute('disabled');
          // count = 0;
          // deg = 0;
          // counter.innerText = count;
          // arrow.style.transform = `rotate(${deg}deg)`;
        }
        else if (IntervalType === 'clear') {
          rButton.setAttribute('disabled', 'disabled');
          count = 0;
          deg = 0;
          counter.innerText = count;
          arrow.style.transform = `rotate(${deg}deg)`;
        }
      }
      var counter = document.getElementById('counter');
        
        function myFunction() {
        // console.log( count );
        // var deg = 7;
        var elementColor;
        forwardInterval = setInterval(function forward(){
          if (count != 30) {
            count++;
            deg = deg+6;
            counter.innerText = count;
            elementColor = getRandomColorFirst(getRandomIntInclusive(0, 257), getRandomIntInclusive(0, 257), getRandomIntInclusive(0, 257));
            bodyEl[0].style.backgroundColor = elementColor;
            arrow.style.transform = `rotate(${deg}deg)`;
            console.log(count, deg);
          }
        }, 300);
        }

        function myFunctionRev() {
          var elementColor;
            prevInterval = setInterval(function prev() {
              if (count > 0) {
                count--;
                deg = deg-6;
                counter.innerText = count;
                elementColor = getRandomColorFirst(getRandomIntInclusive(0, 257), getRandomIntInclusive(0, 257), getRandomIntInclusive(0, 257));
                bodyEl[0].style.backgroundColor = elementColor;
                arrow.style.transform = `rotate(${deg}deg)`;
                console.log(count, deg);
              }
            }, 300);
        }

      </script>
</body>
</html>
